### Method

# Aravis GcRegisterDescriptionNode compare_schema_version

since: 0.6.0

#### Declaration [src]

    int
    arv_gc_register_description_node_compare_schema_version (
      ArvGcRegisterDescriptionNode* node,
      guint major,
      guint minor,
      guint subminor
    )

#### Description [src]

Compare the Genicam document version to the given version.

Available since: 0.6.0

#### Parameters

`major`

  Type: `guint`

  Major version number.

`minor`

  Type: `guint`

  Minor version number.

`subminor`

  Type: `guint`

  Sub minor version number.

#### Return value

Type: `int`

-1 if document version is lower than the given version, 0 if equal and 1 if greater.